# ServerRequestInterceptor_Adapter.h File Reference

`#include "tao/TAO_Export.h"`
`#include "ace/CORBA_macros.h"`
`#include "tao/SystemException.h"`

Include dependency graph for ServerRequestInterceptor_Adapter.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | PortableInterceptor
namespace | CORBA
namespace | TAO

## Classes

class | TAO::ServerRequestInterceptor_Adapter

## Detailed Description

Id
  ServerRequestInterceptor_Adapter.h,v 1.8 2006/02/10 14:59:57 sma Exp

This file an adapter class to simplify the support of interceptors.

Author:
  Johnny Willemsen <jwillemsen@remedy.nl>